# Survey Response Rate Calculator API

> For the complete documentation index, see [llms.txt](/llms.txt).

Calculate complete and overall survey response rates, completion rate and approximate margin of error.

Use this endpoint to add the tool to your app, site, workflow, or agent without rebuilding formulas, validation, examples, and docs.

- Slug: `survey-response-rate-calculator`
- Category: `business`
- Version: `2026-04-22`
- Credits per successful call: 1
- Starts on: free
- Max payload: 65536 bytes
- Privacy mode: `hash_only`
- Available on: free, starter, pro, business, scale

## Endpoint

`POST https://api.miniwebtool.com/v1/tools/survey-response-rate-calculator/run`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `invitations` | `int` | no | valid survey invitations |
| `complete_responses` | `int` | no | complete responses |
| `partial_responses` | `int` | no | partial responses |
| `population` | `int` | no | optional finite population; 0 means unknown |
| `confidence` | `str` | no | 95 | 80 | 90 | 98 | 99 Choices: 95, 80, 90, 98, 99 |

## Example request

```json
{
  "invitations": 1000,
  "complete_responses": 300,
  "partial_responses": 25,
  "population": 0,
  "confidence": "95"
}
```

## cURL

```bash
curl -X POST https://api.miniwebtool.com/v1/tools/survey-response-rate-calculator/run \
  -H 'Authorization: Bearer mwt_live_YOUR_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"invitations":1000,"complete_responses":300,"partial_responses":25,"population":0,"confidence":"95"}'
```

## Response envelope

```json
{
  "request_id": "01K...",
  "tool": "survey-response-rate-calculator",
  "tool_version": "2026-04-22",
  "credits_used": 1,
  "result": {}
}
```

## Errors

Errors are RFC 7807 `application/problem+json`. Branch on `code`, not `title`.

## MCP

Agents can discover and call this tool through `https://api.miniwebtool.com/mcp` or `https://api.miniwebtool.com/v1/mcp` using MCP `tools/list` and `tools/call`.

## Frequently asked

### What does the Survey Response Rate Calculator API do?

Calculate complete and overall survey response rates, completion rate and approximate margin of error. Use it to add this utility without rebuilding formulas, validation, examples, and documentation.

### How much does one call cost?

1 credit per successful call. Failed calls do not bill.

### What parameters are required?

Required fields: (none). Full schema at `https://api.miniwebtool.com/v1/openapi.json`.

### Is this deterministic?

Yes. Same input, same output. Tool version: 2026-04-22.
